//
//  ListItemModelProtocol.swift
//  MVMCoreUI
//
//  Created by Suresh, Kamlesh on 12/12/19.
//  Copyright © 2019 Verizon Wireless. All rights reserved.
//


public enum ListItemStyle: String, Codable {
    case standard
    case shortDivider
    case tallDivider
    case sectionFooter
    case none
}

public protocol ListItemModelProtocol: ContainerModelProtocol {
    var line: LineModel? { get set }
    var action: ActionModelProtocol? { get set }
    var hideArrow: Bool? { get set }
    var style: ListItemStyle? { get set }
}

// Not a strict requirement.
public extension ListItemModelProtocol {
    
    var action: ActionModelProtocol? {
        get { nil }
        set { }
    }
    
    var style: ListItemStyle? {
        get { nil }
        set { }
    }
}
